## org.eclipse.datatools.sqltools.db.derby.parser
Class ASTStart

    java.lang.Object
      org.eclipse.datatools.sqltools.sql.parser.ast.SimpleNode
          org.eclipse.datatools.sqltools.db.derby.parser.SimpleNode
              org.eclipse.datatools.sqltools.db.derby.parser.ASTStart

All Implemented Interfaces:
  IASTStart, Node

    public class ASTStart

extends SimpleNode
implements IASTStart

Constructor Summary
`ASTStart(DerbySQLParser p, int id)`
`ASTStart(int id)`

Method Summary
`org.eclipse.jface.text.source.IAnnotationModel` `doGetAnnotationModel()`
`org.eclipse.jface.text.IDocument` `doGetDocument()`
`void` `doSetAnnotationModel(org.eclipse.jface.text.source.IAnnotationModel model)`
`void` `doSetDocument(org.eclipse.jface.text.IDocument document)` IASTStart will always be supposed to be the root node of a parsing result, and only here the document information is really stored.
`java.lang.Object` `jjtAccept(DerbySQLParserVisitor visitor, java.lang.Object data)` Accept the visitor.

Methods inherited from class org.eclipse.datatools.sqltools.db.derby.parser.SimpleNode
`childrenAccept, dump, toString, toString`

Methods inherited from class org.eclipse.datatools.sqltools.sql.parser.ast.SimpleNode

`acceptChildren, equals, exists, getDocument, getEndOffset, getEndOffset, getFirstToken, getGreatestEndOffset, getGreatestEndOffset, getLastToken, getNextTokenOffset, getNextTokenOffset, getPreviousNode, getSQLText, getStartOffset, getStartOffset, getText, jjtAccept, jjtAddChild, jjtClose, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtOpen, jjtSetParent, setDocument, setFirstToken, setLastToken`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.sqltools.sql.parser.ast.Node
`exists, getDocument, getEndOffset, getEndOffset, getFirstToken, getGreatestEndOffset, getGreatestEndOffset, getLastToken, getNextTokenOffset, getNextTokenOffset, getPreviousNode, getSQLText, getStartOffset, getStartOffset, jjtAccept, jjtAddChild, jjtClose, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtOpen, jjtSetParent, setDocument, setFirstToken, setLastToken`

Constructor Detail

### ASTStart

    public ASTStart(int id)

### ASTStart

    public ASTStart(DerbySQLParser p,
                    int id)

Method Detail

### jjtAccept

    public java.lang.Object jjtAccept(DerbySQLParserVisitor visitor,
                                      java.lang.Object data)

  Accept the visitor. *

  Overrides:
    `jjtAccept` in class `SimpleNode`

### doSetDocument

    public void doSetDocument(org.eclipse.jface.text.IDocument document)

  Description copied from interface: `IASTStart`
  IASTStart will always be supposed to be the root node of a parsing result, and only here the document information is really stored. Calling child nodes' setDocument or getDocument will eventually goes to doSetDocument and doGetDocument.

  Specified by:
    `doSetDocument` in interface `IASTStart`

### doGetDocument

    public org.eclipse.jface.text.IDocument doGetDocument()

  Specified by:
    `doGetDocument` in interface `IASTStart`
  Returns:

### doSetAnnotationModel

    public void doSetAnnotationModel(org.eclipse.jface.text.source.IAnnotationModel model)

### doGetAnnotationModel

    public org.eclipse.jface.text.source.IAnnotationModel doGetAnnotationModel()